System [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00] 1.0.3300.0 1.0.5000.0 2.0.0.0 4.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.Collections.CollectionBase To be added

Provides a strongly typed collection of objects.

- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  To be added

  Initializes a new instance of the class, with no associated instances.

- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  To be added

  Initializes a new instance of the class by using the specified array of instances.

  An array of instances with which to initialize this .
- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  To be added

  Initializes a new instance of the class by using the specified collection of instances.

  A that holds instances with which to initialize this .
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Int32 `` To be added

  Adds an instance of the class to the collection.

  The index of the new object.

  A object to append to the existing collection.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` To be added

  Adds the specified array of instances to the collection.

  An array of instances to append to the existing collection.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` To be added

  Adds the specified collection of instances to the collection.

  A collection of instances to append to the existing collection.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Boolean `` To be added

  Determines whether a instance exists in the collection.

  true if the specified object exists in the collection; otherwise, false.

  The object to find in the collection.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` `` To be added

  Copies the elements of the to an array, starting at the specified index of the array.

  An array of instances to add to the collection. The location at which to add the new instances.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Int32 `` To be added

  Returns the index of a object in the collection.

  The zero-based index of the specified , if it is found, in the collection; otherwise, -1.

  The object to locate in the collection.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` `` To be added

  Inserts a object into the collection, at the specified index.

  The zero-based index of the location at which the is to be inserted. The to insert into the collection.
- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Diagnostics.CounterCreationData `` To be added: an object of type 'int' To be added To be added: an object of type 'CounterCreationData' To be added
- Method
  System.Void `` `` To be added: an object of type 'int' To be added: an object of type 'object' To be added To be added 1.0.5000.0
- Method
  2.0.0.0
  4.0.0.0
  System.Void ``

  The method determines whether the object specified in the parameter is a instance. If not, it throws an .

  Checks the specified object to determine whether it is a valid type.

  The object that will be validated.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` To be added

  Removes a object from the collection.

  The to remove from the collection.